
Infrastructure - Bug #2619

One-mercury 'return to search' action breaks search inputs

2012-04-19 17:16 - Skye Roseboom

Status: Closed Start date: 2012-04-19

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The default full-text search parameter value in the one-mercury search interface are getting corrupted with search field names when

using the 'return to search' links.  Issue also effects spatial search params and possibly others - temporal.

Seems to be a state issue in one-mercury with how the params are transformed by the search or search result actions.

History

#1 - 2012-04-23 17:54 - Dave Vieglais

- Target version changed from Sprint-2012.15-Block.2.4 to Sprint-2012.17-Block.3.1

- Position set to 1

- Position changed from 1 to 429

#2 - 2012-04-27 19:20 - Skye Roseboom

- Status changed from New to Closed

Merged javascript updates in from Ranjeet.

Tested:

Windows - IE, FF

OSX - Safari, FF

Ubuntu - FF

Looks great!  Unable to break so far.
